GET /api/v1/buyer_fleets
List Buyer Fleet records.

Supported Formats

json, csv

Examples

curl -H "Authorization: Basic BASE64_ENCODED_PUBLIC_KEY_AND_PRIVATE_KEY" "https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets?page=1&order=created_at&"

Params

Param name
Description
Validations
page
Optional

Return the next page of results.

Validations:

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

Validations:

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

Validations:

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

Validations:

  • Must be a String

fulltext
Optional

Search for any record that matches this text

Validations:

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

Validations:

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • company_id
  • name
  • description
  • user_fleet_id
  • buyers_count
  • buyer_ids

Validations:

  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

Validations:

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off

order_dir
Optional

Sort results in ascending or descending order.

Validations:

  • Must be one of: desc, asc.


GET /api/v1/buyer_fleets/:id
Get an individual Buyer Fleet by id


Examples

curl -H "Authorization: Basic BASE64_ENCODED_PUBLIC_KEY_AND_PRIVATE_KEY" -H "Content-Type: application/json" -X POST -d '{"name":"Acme Fleet", "user_fleet_id": "acme_corp"}' https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets

Params

Param name
Description
Validations
name
Required

The name of the buyer fleet.

Validations:

  • Must be a String

description
Optional

A description for this buyer fleet.

Validations:

  • Must be a String

user_fleet_id
Required

A unique identifier for this fleet. Only lowercase letters, numbers, and underscores are allowed. This ID is used in system tokens to identify fleet membership.

Validations:

  • Must be a String


PUT /api/v1/buyer_fleets/:id
Update an individual Buyer Fleet

Examples

curl -H "Authorization: Basic BASE64_ENCODED_PUBLIC_KEY_AND_PRIVATE_KEY" -H "Content-Type: application/json" -X PUT -d '{"name":"Updated Fleet"}' https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets/123456

Params

Param name
Description
Validations
name
Optional

The name of the buyer fleet.

Validations:

  • Must be a String

description
Optional

A description for this buyer fleet.

Validations:

  • Must be a String

user_fleet_id
Optional

A unique identifier for this fleet. Only lowercase letters, numbers, and underscores are allowed. This ID is used in system tokens to identify fleet membership.

Validations:

  • Must be a String


DELETE /api/v1/buyer_fleets/:id
Destroy an individual Buyer Fleet.

Examples

curl -H "Authorization: Basic BASE64_ENCODED_PUBLIC_KEY_AND_PRIVATE_KEY" -H "Content-Type: application/json" -X DELETE https://[your-subdomain].trackdrive.com/api/v1/buyer_fleets/:id